﻿@model System.Data.DataSet
<p class="text-danger mb-0">@(ViewBag.Error == null ? "" : ViewBag.Error)</p>
<p class="text-danger mt-2 d-none">@(ViewBag.Trace == null ? "" : ViewBag.Trace)</p>

@if (Model != null && Model.Tables.Count > 0)
{
    foreach (System.Data.DataTable item in Model.Tables)
    {
        <hr />
        <table class="table table-bordered table-responsive table-striped table-hover">
            <thead>
                <tr>
                    @foreach (System.Data.DataColumn col in item.Columns)
                    {
                        <th>@col.Caption</th>
                    }
                </tr>
            </thead>
            <tbody>
                @foreach (System.Data.DataRow row in item.Rows)
                {
                    <tr>
                        @foreach (var cell in row.ItemArray)
                        {
                            <td>@cell.ToString() </td>
                        }
                    </tr>
                }
            </tbody>
        </table>
    }

}
